<?php
    /*
    * Template Name: Home
    */

    get_header();
    // Get theme options
    
    // Get the featured image to set as the background of the header. Use header_image if set, featured image if not
    $background_image = '';
    if ( wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full-size' ) ) {
        $background_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full-size' );
        $background_image = $background_image[0];
    }
    if ( get_header_image() ) {
        $background_image = get_header_image();
    }
    
    // Setup paging for portfolio pagaination
    if ( get_query_var('paged') ) {
        $paged = get_query_var('paged');
    } elseif ( get_query_var('page') ) {
        $paged = get_query_var('page');
    } else {
        $paged = 1;
    }
    
    // Set a variable to tell us if there are pagination links to we can take care of spacing issues
    $pagination = false;
?>

<?php 
// Only show this section of the first page
if ( $paged === 1 ) : ?>
    <?php if ( have_posts() ) : ?>
        <header class="full-width-container center-page welcome-screen <?php $background_image != '' ? print 'header-with-background' : '' ?> <?php has_excerpt() ? print 'header-with-excerpt ' : print 'header-without-excerpt'; ?>" role="banner" data-welcome-background="<?php echo $background_image; ?>" >
            <div class="container welcome-container">
                <div class="row welcome-row">
                    <div class="col-md-10 col-md-offset-1 welcome-content">
                        <?php while ( have_posts() ) : the_post(); ?>
                            <h1 class="title"><span><?php the_title(); ?></span></h1>
                            <?php 
                            if ( has_excerpt() ) {
                                the_excerpt();
                            }
                            ?>
                        <?php endwhile; ?>
                    </div><!-- end col-md-10 -->
                </div><!-- end row -->
            </div><!-- end container -->
        </header><!-- end header - full width container -->
        <?php wp_reset_query(); ?>
    <?php endif; ?>
<?php endif; ?>

     
 <?php
/* Load the portfolio
--------------------------------------------------------------------------------------- */
// Get options for the portfolio
$portfolio_items = 12;

// Get posts assigned to the template-portfolio-item.php template
$args = array(
    'post_type' => 'page',
    'meta_key' => '_wp_page_template',
    'meta_value' => 'template-portfolio-item.php',
    'post_status' => 'publish',
    'posts_per_page' => $portfolio_items,
    'orderby' => 'menu_order',
    'order' => 'ASC',
    'paged' => $paged
);
$wp_query = new WP_Query( $args );

// Set the pagination variable to true if we have more than one page
if ( $wp_query->max_num_pages > 1 ) $pagination = true;

// Work out how big the image should be based on how many cols we want
$img_size = 'themeora-portfolio-span-8';


if ( $wp_query->have_posts() ) : ?>

    <ul id="masonry-wrapper" class="portfolio-cols-4">
        <?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>
            <?php
            // Check if the portfolio has an image. Only load the item if it does
            if ( has_post_thumbnail( $wp_query->post->ID ) ) {
            $previewImage = wp_get_attachment_image_src( get_post_thumbnail_id( $wp_query->post->ID ), $img_size );
            ?>
                <li class="masonry-item">
                    <a href="<?php the_permalink(); ?>" class="portfolio-link" title="<?php the_title() ?>">
                        <img src="<?php echo $previewImage[0] ?>" class="" alt="<?php the_title(); ?>" />
                        <div class="portfolio-details">
                            <div class="details-text">
                                <h2><?php the_title(); ?></h2>
                            </div>
                        </div>
                    </a>
                </li><!-- masonry-item -->
            <?php } ?>
        <?php endwhile; ?>
    </ul><!-- posts-wrapper -->
<?php themeora_paging(); ?>

<?php
wp_reset_query();
endif;
?>
    
<?php
/* Show the post content after the portfolio if set
--------------------------------------------------------------------------------------- */
$homepage_content = get_the_content();
if ( !empty( $homepage_content ) && $paged === 1 ) :
?>
<div class="full-width-container main-content-area <?php $pagination === true ? print 'no-top-padding' : '' ?>">
    <div class="container">
        <div class="col-md-12 homepage-content">
            <?php while ( have_posts() ) : the_post(); ?>
                <?php the_content(); ?>
            <?php endwhile; ?>
        </div>
    </div>
</div>
<?php endif; ?>

  
<?php get_footer(); ?>